Generation Framework

## org.eclipse.gmf.codegen.gmfgen.presentation
Class GMFGenModelWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.gmf.codegen.gmfgen.presentation.GMFGenModelWizard

All Implemented Interfaces:
  INewWizard, IWizard, IWorkbenchWizard

public class GMFGenModelWizard
extends Wizard
implements INewWizard

This is a simple wizard for creating a new model file.

** Generated **

Nested Class Summary
`class` `GMFGenModelWizard.GMFGenModelWizardInitialObjectCreationPage` This is the page where the type of object to create is selected
`class` `GMFGenModelWizard.GMFGenModelWizardNewFileCreationPage` This is the one page of the wizard

Field Summary
`protected GMFGenFactory` `gmfGenFactory` This caches an instance of the model factory
`protected GMFGenPackage` `gmfGenPackage` This caches an instance of the model package
`protected GMFGenModelWizard.GMFGenModelWizardInitialObjectCreationPage` `initialObjectCreationPage` This is the initial object creation page
`protected java.util.List` `initialObjectNames` Caches the names of the types that can be created as the root object
`protected GMFGenModelWizard.GMFGenModelWizardNewFileCreationPage` `newFileCreationPage` This is the file creation page
`protected IStructuredSelection` `selection` Remember the selection during initialization for populating the default container
`protected IWorkbench` `workbench` Remember the workbench during initialization

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`GMFGenModelWizard()`

Method Summary
`void` `addPages()` The framework calls this to create the contents of the wizard
`protected EObject` `createInitialModel()` Create a new model
`protected java.util.Collection` `getInitialObjectNames()` Returns the names of the types that can be created as the root object
`IFile` `getModelFile()` Get the file from the page
`void` `init(IWorkbench workbench, IStructuredSelection selection)` This just records the information
`boolean` `performFinish()` Do the work after everything is specified

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Field Detail

### gmfGenPackage

    protected GMFGenPackage gmfGenPackage

  This caches an instance of the model package.

  ** Generated **

### gmfGenFactory

    protected GMFGenFactory gmfGenFactory

  This caches an instance of the model factory.

  ** Generated **

### newFileCreationPage

    protected GMFGenModelWizard.GMFGenModelWizardNewFileCreationPage newFileCreationPage

  This is the file creation page.

  ** Generated **

### initialObjectCreationPage

    protected GMFGenModelWizard.GMFGenModelWizardInitialObjectCreationPage initialObjectCreationPage

  This is the initial object creation page.

  ** Generated **

### selection

    protected IStructuredSelection selection

  Remember the selection during initialization for populating the default container.

  ** Generated **

### workbench

    protected IWorkbench workbench

  Remember the workbench during initialization.

  ** Generated **

### initialObjectNames

    protected java.util.List initialObjectNames

  Caches the names of the types that can be created as the root object.

  ** Generated **

Constructor Detail

### GMFGenModelWizard

    public GMFGenModelWizard()

Method Detail

### init

    public void init(IWorkbench workbench,
                     IStructuredSelection selection)

  This just records the information.

  Specified by:
    `init` in interface `IWorkbenchWizard`
  ** Generated **

### getInitialObjectNames

    protected java.util.Collection getInitialObjectNames()

  Returns the names of the types that can be created as the root object.

  ** Generated **

### createInitialModel

    protected EObject createInitialModel()

  Create a new model.

  ** Generated **

### performFinish

    public boolean performFinish()

  Do the work after everything is specified.

  Specified by:
    `performFinish` in interface `IWizard`
  ** Generated **

### addPages

    public void addPages()

  The framework calls this to create the contents of the wizard.

  Specified by:
    `addPages` in interface `IWizard`
  ** Generated **

### getModelFile

    public IFile getModelFile()

  Get the file from the page.

  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.